apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: longhornui
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: "letsencrypt-production"
spec:
  tls:
  - hosts:
    -  longhorn.pigreco66.it
    secretName: longhornui-tls
  rules:
  - host: longhorn.pigreco66.it
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: longhorn-frontend
            port:
              number: 80
